GFS_RMDIR(3)

NAME
gfs_rmdir - delete a directory

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_rmdir(const char * gfarm_url);

DESCRIPTION

gfs_rmdir() deletes a directory whose name is the string specified by gfarm_url. The directory must be empty.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_PERMISSION_DENIED
    gfarm_url points outside your accessible address space.

GFARM_ERR_DIRECTORY_NOT_EMPTY
    Directory is not empty.

GFARM_ERR_NO_SUCH_OBJECT
    Directory does not exist.

GFARM_ERR_NOT_A_DIRECTORY
    A component of the path prefix is not a directory.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).